### Method

# Gimp Image select_item

#### Declaration [src]

    gboolean
    gimp_image_select_item (
      GimpImage* image,
      GimpChannelOps operation,
      GimpItem* item
    )

#### Description [src]

Transforms the specified item into a selection

This procedure renders the item’s outline into the current selection of the image the item belongs to. What exactly the item’s outline is depends on the item type: for layers, it’s the layer’s alpha channel, for vectors the vector’s shape.

This procedure is affected by the following context setters: gimp_context_set_antialias(), gimp_context_set_feather(), gimp_context_set_feather_radius().

Available since: | 2.8

#### Parameters

`operation` | `GimpChannelOps`
| The desired operation with current selection.
`item` | `GimpItem`
| The item to render to the selection.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.